## Class TScaffoldInputBase

Description

TScaffoldInputBase class file.

- license: http://www.pradosoft.com/license/
- copyright: Copyright &copy; 2005-2007 PradoSoft
- link: http://www.pradosoft.com/

Located in /Data/ActiveRecord/Scaffold/InputBuilder/TScaffoldInputBase.php (line 10)

Direct descendents

Class | Description
--- | ---
TScaffoldInputCommon | TScaffoldInputCommon class file.

Class Constant Summary
DEFAULT_ID = 'scaffold_input'
Method Summary
void createControl (mixed $container, mixed $column, mixed $record)
void createControlLabel (mixed $label, mixed $column, mixed $record)
void createInputBuilder (mixed $record)
void createScaffoldInput (mixed $parent, mixed $item, mixed $column, mixed $record)
void getControlValue (mixed $container, mixed $column, mixed $record)
void getIsEnabled (mixed $column, mixed $record)
void getParent ()
void getRecordPropertyValue (mixed $column, mixed $record)
void loadScaffoldInput (mixed $parent, mixed $item, mixed $column, mixed $record)
void setRecordPropertyValue (mixed $item, mixed $record, mixed $input)
Methods
createControl (line 95)

- access: protected

void createControl (mixed $container, mixed $column, mixed $record)

Redefined in descendants as:

- TIbmScaffoldInput::createControl()
- TMssqlScaffoldInput::createControl()
- TMysqlScaffoldInput::createControl()
- TPgsqlScaffoldInput::createControl()
- TSqliteScaffoldInput::createControl()

createControlLabel (line 58)

- access: protected

void createControlLabel (mixed $label, mixed $column, mixed $record)
createInputBuilder (line 20)

- static:
- access: public

void createInputBuilder (mixed $record)
createScaffoldInput (line 49)

- access: public

void createScaffoldInput (mixed $parent, mixed $item, mixed $column, mixed $record)
getControlValue (line 99)

- access: protected

void getControlValue (mixed $container, mixed $column, mixed $record)

Redefined in descendants as:

- TIbmScaffoldInput::getControlValue()
- TMssqlScaffoldInput::getControlValue()
- TMysqlScaffoldInput::getControlValue()
- TPgsqlScaffoldInput::getControlValue()
- TSqliteScaffoldInput::getControlValue()

getIsEnabled (line 75)

- access: protected

void getIsEnabled (mixed $column, mixed $record)
getParent (line 15)

- access: protected

void getParent ()
getRecordPropertyValue (line 81)

- access: protected

void getRecordPropertyValue (mixed $column, mixed $record)
loadScaffoldInput (line 65)

- access: public

void loadScaffoldInput (mixed $parent, mixed $item, mixed $column, mixed $record)
setRecordPropertyValue (line 90)

- access: protected

void setRecordPropertyValue (mixed $item, mixed $record, mixed $input)
Class Constants
DEFAULT_ID = 'scaffold_input' (line 12)

Documentation generated on Mon, 21 Apr 2008 11:36:07 -0400 by phpDocumentor 1.3.0RC4